Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class WMLURLFilter

    java.lang.Object
      org.jasig.portal.utils.SAX2FilterImpl
          org.jasig.portal.utils.AbsoluteURLFilter
              org.jasig.portal.utils.WMLURLFilter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

    public class WMLURLFilter

extends AbsoluteURLFilter

Replaces all relative URLs with absolute URLs in a WML document

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary

Fields inherited from class org.jasig.portal.utils.AbsoluteURLFilter
`baseUrl`

Fields inherited from class org.jasig.portal.utils.SAX2FilterImpl
`contentHandler, dtdHandler, entityResolver, errorHandler, lexicalHandler, locator, log`

Constructor Summary
`protected` | `WMLURLFilter(org.xml.sax.ContentHandler handler)` A constructor which receives a ContentHandler to which filtered SAX events are passed

Method Summary
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Filter a start element event.

Methods inherited from class org.jasig.portal.utils.AbsoluteURLFilter
`fixURL, newAbsoluteURLFilter, setBaseUrl`

Methods inherited from class org.jasig.portal.utils.SAX2FilterImpl
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setAllHandlers, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setParent, setProperty, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMLURLFilter

    protected WMLURLFilter(org.xml.sax.ContentHandler handler)

  A constructor which receives a ContentHandler to which filtered SAX events are passed

  Parameters:
    `handler` - the ContentHandler to which filtered SAX events are passed

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter a start element event.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `SAX2FilterImpl`
  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
    `atts` - The element's attributes.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD